Subject: RE: bfd_get_section_size() undeclared
From: "Dave Korn" <[email-masked]>
To: "'cygwin mailing-list'" <[email-masked]>
Date: Wed, 14 Jul 2004 12:02:34 +0100

> -----Original Message-----
> From: cygwin-owner  On Behalf Of Bas van Gompel
> Sent: 10 July 2004 05:43
> To: cygwin
> Cc: Sean McCune
> Subject: Re: bfd_get_section_size() undeclared
> 
> Op Wed, 30 Jun 2004 12:03:20 +0100 schreef Dave Korn
> in <[email-masked]>:
> : > -----Original Message-----
> : > From: cygwin-owner On Behalf Of Sean McCune
> : > Sent: 30 June 2004 04:51

> : > In building the latest source (checked out tonight), I'm 
> getting the
> : > following error, stating that bfd_get_section_size() is 
> : > undeclared.  Was
> : > something not checked in to CVS fully?
> 
> [...]
> :    WFM this morning.
> 
> So, you have a local copy of bfd. [WAG]

  Correct!

> Therefore, you'll need to checkout bfd as well as winsup, newlib and
> libiberty currently, before you can complete the build of cygwin.
> 
> (This need will go away with the next binutils-release IIUC...)

  Funnily enough, I got bitten by this problem yesterday, despite having
binutils in my tree.  What happened was that I only wanted to build the dll,
so I did a configure and "make all-target".  The cygwin dll (and indeed the
entire winsup dir) count as part of the target build.  The problem is that
bfd.h is a generated file, and bfd is only built as part of the host rather
than target build.  Normally when you do make all, the host libs and so on
are built first, and so by the time the build process gets round to winsup,
the builddir/bfd directory contains bfd.h; but if you try only to build the
target files without first building the host files, or if you don't have bfd
configured in there, you end up including the bfd header from your host
system's installed toolchain, rather than the newly generated one which is
up to date with the bfd sources.

    cheers, 
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/